Bug 65734 - Ubuntu - No calendar sync for Nokia E5, C5 or E75
Summary: Ubuntu - No calendar sync for Nokia E5, C5 or E75
Status: RESOLVED INVALID
Alias: None
Product: SyncEvolution
Classification: Unclassified
Component: SyncEvolution (show other bugs)
Version: unspecified
Hardware: x86 (IA32) other
: medium major
Assignee: SyncEvolution Community
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-13 20:38 UTC by T-H Krag
Modified: 2014-04-10 12:27 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description T-H Krag 2013-06-13 20:38:22 UTC
SyncEvolution on Ubuntu 12.04LTS doesn't work with neither Nokia E5, C5 or E75.

The GUI do not give many options, and it's impossible to make the phone sync with Evolution.

Trying to write a config myself haven't helped either.

Phones have all been connected through Bluetooth, and file transfer works, NQA. 

Seems like lack of support.
Comment 1 Patrick Ohly 2013-06-14 07:31:31 UTC
Which version of SyncEvolution are you trying to use? Installed from where?

What does the following command on the command line show?

  syncevolution --print-databases
Comment 2 T-H Krag 2013-06-30 14:20:56 UTC
Hi.

Running SyncEvolution 1.2.2

The SyncEvolution --print databases yield the following:

"Show available sources:
  syncevolution
Show information about configuration(s):
  syncevolution --print-servers|--print-configs|--print-peers
Show information about a specific configuration:
  syncevolution --print-config [--quiet] [--] <config> [main|<source> ...]
List sessions:
  syncevolution --print-sessions [--quiet] [--] <config>
Show information about SyncEvolution:
  syncevolution --help|-h|--version
Run a synchronization as configured:
  syncevolution <config> [<source> ...]
Run a synchronization with properties changed just for this run:
  syncevolution --run <options for run> [--] <config> [<source> ...]
Restore data from the automatic backups:
  syncevolution --restore <session directory> --before|--after [--dry-run] [--] <config> <source> ...
Create, update or remove a configuration:
  syncevolution --configure <options> [--] <config> [<source> ...]
  syncevolution --remove|--migrate <options> [--] <config>
List items:
  syncevolution --print-items [--] <config> <source>
Export item(s):
  syncevolution [--delimiter <string>] --export <dir>|<file>|- [--] <config> <source> [<luid> ...]
Add item(s):
  syncevolution [--delimiter <string>|none] --import <dir>|<file>|- [--] <config> <source>
Update item(s):
  syncevolution --update <dir> [--] <config> <source>
  syncevolution [--delimiter <string>|none] --update <file>|- [--] <config> <source> <luid> ...

Remove item(s):
  syncevolution --delete-items [--] <config> <source> (<luid> ... | '*')

ERROR: --print-databases: unknown parameter"

So... I don't know what that even means (except there's a problem in the parameter)

With kind regards
Troels-Henrik
Comment 3 Patrick Ohly 2013-06-30 17:21:49 UTC
(In reply to comment #2)
> Hi.
> 
> Running SyncEvolution 1.2.2

I assumed that you were running the latest stable release from syncevolution.org, which is 1.3.2. Can you try with that version?
Comment 4 T-H Krag 2013-06-30 17:35:22 UTC
Hi. I find it incredibly hard to do on Ubuntu.

There may be a way, but I can't figure it out...

Kind regards
T-H
Comment 5 Patrick Ohly 2013-06-30 18:19:15 UTC
(In reply to comment #4)
> Hi. I find it incredibly hard to do on Ubuntu.
> 
> There may be a way, but I can't figure it out...

What is hard? Installing the latest stable SyncEvolution?

It should be as simple as extending your /etc/apt/sources and installing "syncevolution-evolution". See https://syncevolution.org/documentation/installation
Comment 6 T-H Krag 2013-06-30 21:48:50 UTC
It appears that I can not install later versions than the 1.2.2 on Ubuntu 12.04LTS (anyway, until now).

It's a bit strange - and the UI in Sync does not help a lot (don't have many options)
Comment 7 Patrick Ohly 2013-07-01 17:06:39 UTC
(In reply to comment #6)
> It appears that I can not install later versions than the 1.2.2 on Ubuntu
> 12.04LTS (anyway, until now).

Let's debug this first. There's no point investigating the other issue with a version that is obsolete.

When you say you "can not installed", what happens if you try?

What is the output of the following commands?

apt-get update
apt-cache policy syncevolution-evolution
apt-get install syncevolution-evolution
Comment 8 T-H Krag 2013-07-01 18:07:24 UTC
According to this, Ubuntu 12.04 will only install 1.2.2

https://launchpad.net/ubuntu/precise/+source/syncevolution

So. Either it's to make that work, or to wait for something to get updated by the smart guys. 

Currently I have resolved the situation temporarily by using GooSync, but it's not optimal...
Comment 9 Patrick Ohly 2013-07-02 04:47:41 UTC
(In reply to comment #8)
> According to this, Ubuntu 12.04 will only install 1.2.2
> 
> https://launchpad.net/ubuntu/precise/+source/syncevolution
> 
> So. Either it's to make that work, or to wait for something to get updated
> by the smart guys.

You could also install from the repository on syncevolution.org, as described on the page I linked to earlier. If you don't know how (or don't want) to add new package repositories to your system, then you will indeed have to wait until Ubuntu offers a more recent version.
Comment 10 Patrick Ohly 2014-02-14 10:36:07 UTC
Is there still interest in fixing this?
Comment 11 T-H Krag 2014-02-14 11:08:44 UTC
     I would *LOVE* to have this issue fixed!!

With kind regards
Troels-Henrik

Tlf/Pho: +45 202 808 14

On 2014-02-14 11:36, bugzilla-daemon@freedesktop.org wrote:
>
> *Comment # 10 <https://bugs.freedesktop.org/show_bug.cgi?id=65734#c10> 
> on bug 65734 <https://bugs.freedesktop.org/show_bug.cgi?id=65734> from 
> Patrick Ohly <mailto:patrick.ohly@gmx.de> *
> Is there still interest in fixing this?
> ------------------------------------------------------------------------
> You are receiving this mail because:
>
>   * You reported the bug.
>
Comment 12 Patrick Ohly 2014-02-14 11:46:48 UTC
(In reply to comment #11)
>      I would *LOVE* to have this issue fixed!!

Then have a look at comment #9 and install a recent version of SyncEvolution, for example the 1.3.99.7 pre-release (https://syncevolution.org/blogs/pohly/2014/syncevolution-13997-released).

If that still fails, provide a detailed bug report (what are you trying to do, what do you expect, what happens instead).
Comment 13 Patrick Ohly 2014-04-10 12:27:30 UTC
I've not received enough information to assist with this problem. Closing the issue.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.